Subject: Re: [alto] IPR Disclosure Carlos Pignataro's Statement about IPR related to draft-ietf-alto-deployments belonging to Alcatel Lucent

From: Mirja Kühlewind <[email-masked]>
Date: Mon, 4 Jul 2016 17:47:38 +0200

Hi all,

find below an IPR disclosure that was filed last week related to draft-ietf-alto-deployments. This is a third-party disclosure for a patent application that lists this draft as ‚document to be considered related‘. See:

https://data.epo.org/publication-server/rest/v1.0/publication-dates/20150902/patents/EP2913979NWA1/document.pdf

The IETF last call for draft-ietf-alto-deployments was performed between June 7 and June 21, 2016, while the IPR disclosure was submitted afterwards (as reaction to the OPS-DIR review).

If this disclosure raises any concerns regarding the publication of this draft as RFC, please state your opinion on the [email-masked] mailing.

Thanks,
Mirja - responsible AD

> Am 27.06.2016 um 17:42 schrieb IETF Secretariat <[email-masked]>:
> 
> Dear Martin Stiemerling, Sebastian Kiesel, Stefano Previdi, Michael Scharf, Hans Seidel:
> 
> 
> An IPR disclosure that pertains to your Internet-Draft entitled "ALTO
> Deployment Considerations" (draft-ietf-alto-deployments) was submitted to
> the IETF Secretariat on  and has been posted on the "IETF Page of Intellectual
> Property Rights Disclosures" (https://datatracker.ietf.org/ipr/2814/). The title
> of the IPR disclosure is "Carlos Pignataro's Statement about IPR related to
> draft-ietf-alto-deployments belonging to Alcatel Lucent"
> 
> 
> Thank you
> 
> IETF Secretariat
> 
> _______________________________________________
> alto mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/alto

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Mon, 4 Jul 2016 23:47:34 +0000

Hi, Mirja,

One clarification, for the record, inline.

> On Jul 4, 2016, at 11:47 AM, Mirja Kühlewind <[email-masked]> wrote:
> 
> Hi all,
> 

I was actually the OPS-Dir Reviewer assigned to draft-ietf-alto-deployments-15.

I submitted my OPS-Dir review delayed, after the IETF LC ended, because I was on vacation (and unreachable) when I received the OPS-Dir review assignment. As part of my review, as I came across those two (not only the one you include above) published patent applications potentially relating to the subject matter as indicated in non-patent citations, I had to submit that 3rd party disclosure.

Thanks,

— Carlos.

---

From: "Y. Richard Yang" <[email-masked]>
Date: Mon, 4 Jul 2016 19:57:45 -0400

I am reading up the patent application.

Given that one of the inventors is Sabine, who is a quite active member of
this WG, could we ask her to take one more look at the deployment document
and share any comments on potential relevance, if any?

Thanks a lot,
Richard

On Mon, Jul 4, 2016 at 7:47 PM, Carlos Pignataro (cpignata) <
[email-masked]> wrote:

> > find below an IPR disclosure that was filed last week related to
> draft-ietf-alto-deployments. This is a third-party disclosure for a patent
> application that lists this draft as ‚document to be considered related‘.
> See:
>
> >
>
> >
> https://urldefense.proofpoint.com/v2/url?u=https-3A__data.epo.org_publication-2Dserver_rest_v1.0_publication-2Ddates_20150902_patents_EP2913979NWA1_document.pdf&d=CwIGaQ&c=-dg2m7zWuuDZ0MUcV7Sdqw&r=4G36iiEVb2m_v-0RnP2gx9KZJjYQgfvrOCE3789JGIA&m=MRJ2qHO-1qVwqySBsNIc8KPKJ51WX3Ft-NUQ4ZIE9mw&s=HimTjdqrFDcG7WCsLSymi-zBkCyhJ7qojDFiE8GrueI&e=
>
> >
>
> > The IETF last call for draft-ietf-alto-deployments was performed between
> June 7 and June 21, 2016, while the IPR disclosure was submitted afterwards
> (as reaction to the OPS-DIR review).
>
> >
>
>
>
> I submitted my OPS-Dir review delayed, after the IETF LC ended, because I
> was on vacation (and unreachable) when I received the OPS-Dir review
> assignment. As part of my review, as I came across those two (not only the
> one you include above) published patent applications potentially relating
> to the subject matter as indicated in non-patent citations, I had to submit
> that 3rd party disclosure.
>
>
>
> Thanks,
>
>
>
> — Carlos.
>
>
>
> > If this disclosure raises any concerns regarding the publication of this
> draft as RFC, please state your opinion on the [email-masked] mailing.
>
> >
>
> > Thanks,
>
> > Mirja - responsible AD
>
> >
>
> >
>
> >> Property Rights Disclosures" (
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_ipr_2814_&d=CwIGaQ&c=-dg2m7zWuuDZ0MUcV7Sdqw&r=4G36iiEVb2m_v-0RnP2gx9KZJjYQgfvrOCE3789JGIA&m=MRJ2qHO-1qVwqySBsNIc8KPKJ51WX3Ft-NUQ4ZIE9mw&s=iVdlI5j-shU03Ls_ifquGnrJ7VaQTyXRRlUTRPWCyGE&e=
> ). The title
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_alto&d=CwIGaQ&c=-dg2m7zWuuDZ0MUcV7Sdqw&r=4G36iiEVb2m_v-0RnP2gx9KZJjYQgfvrOCE3789JGIA&m=MRJ2qHO-1qVwqySBsNIc8KPKJ51WX3Ft-NUQ4ZIE9mw&s=FmOR-KX9bdijoxNw3Hseu4iGMxWkJdAz3ddO1OcX6Pg&e=
>
> >
>
>
>
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_alto&d=CwIGaQ&c=-dg2m7zWuuDZ0MUcV7Sdqw&r=4G36iiEVb2m_v-0RnP2gx9KZJjYQgfvrOCE3789JGIA&m=MRJ2qHO-1qVwqySBsNIc8KPKJ51WX3Ft-NUQ4ZIE9mw&s=FmOR-KX9bdijoxNw3Hseu4iGMxWkJdAz3ddO1OcX6Pg&e=
>

-- 
-- 
 =====================================
| Y. Richard Yang <[email-masked]>   |
| Professor of Computer Science       |
| http://www.cs.yale.edu/~yry/        |
 =====================================

---

From: "Scharf, Michael (Nokia - DE)" <[email-masked]>
Date: Tue, 5 Jul 2016 11:00:24 +0000

Carlos,

I can only comment on the second document listed in the third-party IPR disclosure (http://www.google.com/patents/WO2016039798A1#npl-citations). I have not been aware of the first one. Regarding the second patent application, I am a bit confused by the intent of this IPR disclosure. 

To add some context: There is a publication, and actually that text may be easier to read:

  Michael Scharf, Gordon T. Wilfong, Lisa Zhang: "Sparsifying network topologies for application guidance", Proceedings of IFIP/IEEE IM 2015, May 2015, pages 234-242 (http://dl.ifip.org/db/conf/im/im2015/135438.pdf)

That paper refers to draft-ietf-alto-deployments at various places to explain the background of ALTO (reference [4]). So, it is not surprise that draft-ietf-alto-deployments is cited in the patent application. I am not a lawyer. However, if I had assumed that an action according to RFC 3979 is required in this situation, an IPR disclosure would obviously have been submitted.

In general, draft-ietf-alto-deployments is a long informational document that surveys quite a number of use cases and technologies. Given that widely used technologies such as CDN optimization and methods to obtain dynamic connected-network topology via nodes are mentioned, it would be a huge surprise to me there was no other IPR "somehow" related to some wording in draft-ietf-alto-deployments, including e.g. IPR owned by Cisco Technology, Inc. However, I am not sure what value IPR disclosures have for such an informational document that does not give normative guidance.

Regarding the process, I am actually surprised that a patent search has been performed as part of an OPS-DIR review, given e.g. what is written in RFC 5706 Appendix A. And I think the wording of RFC 3979 Section 6.1.3 is that a third party IPR disclosure is "encouraged". So far I have assumed that this wording does not imply "mandatory". Maybe the IESG can better explain that?

Michael

-----Original Message-----
From: Carlos Pignataro (cpignata) [mailto:[email-masked]] 
Sent: Tuesday, July 05, 2016 1:48 AM
To: Mirja Kühlewind
Cc: IETF discussion list; [email-masked]; [email-masked]
Subject: Re: [alto] IPR Disclosure Carlos Pignataro's Statement about IPR related to draft-ietf-alto-deployments belonging to Alcatel Lucent

Hi, Mirja,

> https://data.epo.org/publication-server/rest/v1.0/publication-dates/20
> 150902/patents/EP2913979NWA1/document.pdf
> 

Thanks,

— Carlos.

>> Deployment Considerations" (draft-ietf-alto-deployments) was 
>> submitted to the IETF Secretariat on  and has been posted on the 
>> "IETF Page of Intellectual Property Rights Disclosures" 
>> (https://datatracker.ietf.org/ipr/2814/). The title of the IPR 
>> disclosure is "Carlos Pignataro's Statement about IPR related to draft-ietf-alto-deployments belonging to Alcatel Lucent"
>> 
>> 
>> Thank you
>> 
>> IETF Secretariat
>>

---

From: S Moonesamy <[email-masked]>
Date: Tue, 05 Jul 2016 04:11:40 -0700

Hi Mirja,
At 08:47 04-07-2016, Mirja Kühlewind wrote:
>The IETF last call for 
>draft-ietf-alto-deployments was performed 
>between June 7 and June 21, 2016, while the IPR 
>disclosure was submitted afterwards (as reaction to the OPS-DIR review).
>
>If this disclosure raises any concerns regarding 
>the publication of this draft as RFC, please 
>state your opinion on the [email-masked] mailing.

There is the following in the document shepherd write-up:

   "The second WGLC was reviewed by Sabine Randriamasy,
    resulting in version -14 that addressed her review."

https://datatracker.ietf.org/ipr/2814/ lists a 
document in which the name in the quoted text is 
listed as one of the inventors.

I suggest sending a reminder (please see RFC 
6702) and running another IETF Last Call.

Regards,
S. Moonesamy

---

From: "Carlos Pignataro (cpignata)" <[email-masked]>
Date: Tue, 5 Jul 2016 12:06:00 +0000

Michael,

I won’t comment on the content of the application, but please find a couple clarifications inline.

> On Jul 5, 2016, at 7:00 AM, Scharf, Michael (Nokia - DE) <[email-masked]> wrote:
> 
> Carlos,
> 

The intent of an IPR disclosure is to inform IETF WGs and participants. 

> In general, draft-ietf-alto-deployments is a long informational document that surveys quite a number of use cases and technologies. Given that widely used technologies such as CDN optimization and…

Analysis is for the WG participants and potential implications (if any) to the WG (i.e., the IETF makes no determination about validity, informed decision, etc.)

> Regarding the process, I am actually surprised that a patent search has been performed as part of an OPS-DIR review, given e.g. what is written in RFC 5706 Appendix A. And I think the wording of RF…

This comment is concerning to me. I performed an OPS-Dir review of draft-ietf-alto-deployments based-15 solely on Operational considerations, and RFC 5706 Appendix A. (By the way, I have not seen a response to that review.) However, I have *not* (of course!) performed a patent search. I do not understand the basis of you making that comment. If I am looking for IETF LC comments on specific operational issues, and Google search serves those hits over and over (which someone cannot unsee), I think the responsible thing is to disclose, and it is up for the WG to evaluate.

Thanks,

— Carlos.

---

From: Sebastian Kiesel <[email-masked]>
Date: Tue, 5 Jul 2016 15:15:36 +0200

Richard,

> and share any comments on potential relevance, if any?

I am not sure whether this makes sense.

Assuming that Sabine made the invention but did not write the patent text 
herself, her analysis might be more or less biased by her original idea.
However, our problem now is not (so much) what the original invention
was, but more what could be considered by lawyers as being covered by
the wording of the patents.

S.

---

From: Jari Arkko <[email-masked]>
Date: Tue, 5 Jul 2016 16:45:03 +0300

I don’t personally know anything about this technology or the patents in question. Also, IANAL and I don’t plan to play on this list. However, a couple of process or general clarifications may be in order.

First, anybody can (but does not have to) make third party declaration, if he or she is aware of IPR that might cover the draft in question. No search is necessary to do this, as a person may just be aware of an IPR for some reason.

Second, if you are interested in a particular technology you probably need to assess patent declarations in some fashion. The IESG does not validate them in any way, nor do we in any organised fashion check them at working groups either. But, they may affect individual assessments to “is this the technology that I want to standardise in the working group”? Hence Mirja’s email to the list and her question if it changes something. Sometimes the answer is that new information about IPR causes a change in your assessment. Sometimes it doesn’t cause a change. There are also IPR declarations where you know there’s prior art. Or IPR declarations where your assessment may be that it does not cover the technology in question, despite what the declaration says.

Third, be aware what constitutes a patent actually covering your technology. In patents there are for instance usually tons of references to existing practices and background. Mere mention of technology in a patent document doesn’t render it covered.

Fourth, people who are actual contributors in the working group have a stricter requirement to file declarations than others. If a contributor believes an IPR that they are personally aware of covers the technology, he or she must make an IPR declaration. The lack of an IPR declaration might either mean that the rule was not followed, or that the contributor simply does not believe the IPR covers the technology.

Jari

---

From: "Randriamasy, Sabine (Nokia - FR)" <[email-masked]>
Date: Tue, 5 Jul 2016 15:00:04 +0000

Hi all,

The invention cited in the IPR disclosure does not cover the deployments presented in draft-ietf-alto-deployments and hence does not prevent this draft from moving forward. 

Please note that the draft has simply been cited in the European Patent Office review of the application as a reference on related art. As a consequence the owner of this invention is not to claim any IPR.  

Thanks,
Sabine

>>-----Message d'origine-----
>>De : alto [mailto:[email-masked]] De la part de Mirja Kühlewind
>>Envoyé : lundi 4 juillet 2016 17:48
>>À : [email-masked]
>>Cc : [email-masked]; [email-masked]
>>Objet : Re: [alto] IPR Disclosure Carlos Pignataro's Statement about
>>IPR related to draft-ietf-alto-deployments belonging to Alcatel Lucent
>>
>>Hi all,
>>
>>find below an IPR disclosure that was filed last week related to draft-
>>ietf-alto-deployments. This is a third-party disclosure for a patent
>>application that lists this draft as ‚document to be considered
>>related‘. See:
>>
>>https://data.epo.org/publication-server/rest/v1.0/publication-
>>dates/20150902/patents/EP2913979NWA1/document.pdf
>>
>>The IETF last call for draft-ietf-alto-deployments was performed
>>between June 7 and June 21, 2016, while the IPR disclosure was
>>submitted afterwards (as reaction to the OPS-DIR review).
>>
>>If this disclosure raises any concerns regarding the publication of
>>this draft as RFC, please state your opinion on the [email-masked]
>>mailing.
>>
>>Thanks,
>>Mirja - responsible AD
>>
>>
>>submitted
>>> to the IETF Secretariat on  and has been posted on the "IETF Page of
>>> Intellectual Property Rights Disclosures"
>>> disclosure is "Carlos Pignataro's Statement about IPR related to